routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();

Route::resource('users', \App\Http\Controllers\UserController::class)->only('index', 'show');

Route::resource('tasks', \App\Http\Controllers\TaskController::class)->except('create', 'index');

Route::resource('tags', \App\Http\Controllers\TagController::class)->except('show');
Route::get('/search/tag', [\App\Http\Controllers\TagController::class, 'search'])->name('tags.search');
Route::get('/tag_task/{task}', [\App\Http\Controllers\TagTaskController::class, 'index'])->name('tag_task.index');
Route::post('/tag_task', [\App\Http\Controllers\TagTaskController::class, 'store'])->name('tag_task.store');
Route::delete('/tag_task', [\App\Http\Controllers\TagTaskController::class, 'destroy'])->name('tag_task.destroy');


Route::get('/user_friend/read/{user}', [\App\Http\Controllers\UserFriendController::class, 'addReadFriend']);
Route::delete('/user_friend/read/{user}', [\App\Http\Controllers\UserFriendController::class, 'deleteReadFriend']);
Route::get('/user_friend/edit/{user}', [\App\Http\Controllers\UserFriendController::class, 'addEditFriend']);
Route::delete('/user_friend/edit/{user}', [\App\Http\Controllers\UserFriendController::class, 'deleteEditFriend']);

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/js/app.js'])
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">
                        @if(\Illuminate\Support\Facades\Auth::check())
                            <a class="navbar-brand" href="{{ route('users.index') }}">
                                {{ __('All users') }}
                            </a>
                            <a class="navbar-brand"
                               href="{{ route('users.show', ['user' => \Illuminate\Support\Facades\Auth::user()]) }}">
                                {{ __('My list') }}
                            </a>
                            <a class="navbar-brand"
                               href="{{ route('tags.index') }}">
                                {{ __('My Tags') }}
                            </a>
                        @endif
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container mt-5">
            @include('notifications.success')
            @yield('content')
        </div>
    </div>
</body>
</html>